be.fgov.ehealth.etee.crypto.utils

## Class DistinguishedName

- java.lang.Object
- - be.fgov.ehealth.etee.crypto.utils.DistinguishedName

-     public final class DistinguishedName
      extends java.lang.Object

  This immutable class is used to parse a distinguished name.

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static DistinguishedName` | `from(javax.security.auth.x500.X500Principal x500Principal)`
    `java.lang.String` | `getCommonName()` Retrieve the common name from this distinguished name.
    `java.lang.String` | `getCountryCode()` Retrieve the country code from this distinguished name.
    `java.lang.String` | `getSerialNumber()` Retrieve the serial number from this distinguished name.
    `boolean` | `hasSerialNumber()` Check if the distinguished name contains a serial number.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### from

          public static DistinguishedName from(javax.security.auth.x500.X500Principal x500Principal)

    - #### hasSerialNumber

          public boolean hasSerialNumber()

      Check if the distinguished name contains a serial number.
      Returns:
        True, if this distinguished name contains a serial number.

    - #### getSerialNumber

          public java.lang.String getSerialNumber()

      Retrieve the serial number from this distinguished name.
      Returns:
        The serial number of this distinguished name.

    - #### getCountryCode

          public java.lang.String getCountryCode()

      Retrieve the country code from this distinguished name.
      Returns:
        The country code of this distinguished name.

    - #### getCommonName

          public java.lang.String getCommonName()

      Retrieve the common name from this distinguished name.
      Returns:
        The common name of ths distinguished name.

Copyright © 2025 eHealth. All rights reserved.